QGIS Application - Bug report #595
SnapDistance:
2007-02-15 04:53 AM - stephan-holl-intevation-de -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10654
Description

The snapdistance does not work as expected when moving vertices on postgis-layers.
Furthermore the window with the hint how to solve this pops up twice which is not nice.

Anyway, changing the suggested value does not solve the issue.

Thanks for looking into this.

History

#1 - 2007-02-16 04:59 AM - Marco Hugentobler

The double pop-up is removed now.

Could you give a more detailed description of when and how the snapping does not work (e.g. use of reprojection)? Where you not able to snap at all or is
it the snap behaviour which is not as expected (e.g. snap to vertices of the same feature)?

cheers,

Marco

#2 - 2007-02-16 05:04 AM - stephan-holl-intevation-de -

HI Marco, sorry for beeing unprecise. | had problems to add new vertices on my postgis-layer which was not reprojected. | used the normal SRID provided

by postgis.

Main task was to add a new vertex on a polygon border. | had to directly click to the line in order to add the vertex.

This behaviour was identical on windows and linux version 0.8.0.

#3 - 2007-02-16 05:16 AM - Marco Hugentobler

Hi Stephan,

Snapping for adding vertices works for me in 0.8. Are you sure you set the snapping tolerance in map units (not in pixels like in GRASS digitizing)?

One problem may be that the snapping is also done to vertices of the same feature. So if the tolerance is high, the new vertex is directly snapped onto

another one. Maybe we should snap only to vertices of other features.

If you have the data as shape it will be good for me to reproduce.

Marco
#4 - 2007-02-16 05:29 AM - stephan-holl-intevation-de -

Marco, you got me!

| thought the distance were pixels (as in GRASS)... Setting a larger snapdistance the snapping to my polygon-borders now works like a charm!
Adding a hint on a prominent place that snapdistance is in map-units would be good thought!

We should change the type of this "bug" to "enhancement" though. Thank you for your help.

Stephan

#5 - 2007-02-25 07:36 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release

#6 - 2007-03-21 08:10 AM - Marco Hugentobler
- Status changed from Open to Closed
- Resolution set to fixed

Ok, | changed the string in the project properties to 'snapping distance (in map units)’

Marco

#7 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.8.2 deleted
